# PlaneGraphics

#### new Cesium.PlaneGraphics(options)
DataSources/PlaneGraphics.js 39

Describes a plane. The center position and orientation are determined by the containing `Entity`.

Name | Type | Description
--- | --- | ---

`options`

Object

optional Object with the following properties:

Name | Type | Default | Description
--- | --- | --- | ---
`show` | Property | `true` | optional A boolean Property specifying the visibility of the plane.
`plane` | Property |  | optional A `Plane` Property specifying the normal and distance for the plane.
`dimensions` | Property |  | optional A `Cartesian2` Property specifying the width and height of the plane.
`fill` | Property | `true` | optional A boolean Property specifying whether the plane is filled with the provided material.
`material` | MaterialProperty | `Color.WHITE` | optional A Property specifying the material used to fill the plane.
`outline` | Property | `false` | optional A boolean Property specifying whether the plane is outlined.
`outlineColor` | Property | `Color.BLACK` | optional A Property specifying the `Color` of the outline.
`outlineWidth` | Property | `1.0` | optional A numeric Property specifying the width of the outline.
`shadows` | Property | `ShadowMode.DISABLED` | optional An enum Property specifying whether the plane casts or receives shadows from each light source.
`distanceDisplayCondition` | Property |  | optional A Property specifying at what distance from the camera that this plane will be displayed.

##### Demo:

- Cesium Sandcastle Plane Demo

### Members

#### readonlydefinitionChanged : Event
DataSources/PlaneGraphics.js 72

Gets the event that is raised whenever a property or sub-property is changed or modified.

#### dimensions : Property
DataSources/PlaneGraphics.js 100

Gets or sets the `Cartesian2` Property specifying the width and height of the plane.

#### distanceDisplayCondition : Property
DataSources/PlaneGraphics.js 156

Gets or sets the `DistanceDisplayCondition` Property specifying at what distance from the camera that this plane will be displayed.

#### fill : Property
DataSources/PlaneGraphics.js 108

Gets or sets the boolean Property specifying whether the plane is filled with the provided material.

Default Value: `true`

#### material : MaterialProperty
DataSources/PlaneGraphics.js 116

Gets or sets the material used to fill the plane.

Default Value: `Color.WHITE`

#### outline : Property
DataSources/PlaneGraphics.js 124

Gets or sets the Property specifying whether the plane is outlined.

Default Value: `false`

#### outlineColor : Property
DataSources/PlaneGraphics.js 132

Gets or sets the Property specifying the `Color` of the outline.

Default Value: `Color.BLACK`

#### outlineWidth : Property
DataSources/PlaneGraphics.js 140

Gets or sets the numeric Property specifying the width of the outline.

Default Value: `1.0`

#### plane : Property
DataSources/PlaneGraphics.js 92

Gets or sets the `Plane` Property specifying the normal and distance of the plane.

#### shadows : Property
DataSources/PlaneGraphics.js 149

Get or sets the enum Property specifying whether the plane casts or receives shadows from each light source.

Default Value: `ShadowMode.DISABLED`

#### show : Property
DataSources/PlaneGraphics.js 84

Gets or sets the boolean Property specifying the visibility of the plane.

Default Value: `true`

### Methods

#### clone(result) → PlaneGraphics
DataSources/PlaneGraphics.js 165

Duplicates this instance.

Name | Type | Description
--- | --- | ---
`result` | PlaneGraphics | optional The object onto which to store the result.

##### Returns:

The modified result parameter or a new instance if one was not provided.

#### merge(source)
DataSources/PlaneGraphics.js 188

Assigns each unassigned property on this object to the value of the same property on the provided source object.

Name | Type | Description
--- | --- | ---
`source` | PlaneGraphics | The object to be merged into this object.